Tidying.
[libdcp.git] / run / tests
index acad286fa239cf1478e74fa05f30f6442d868c91..adfd48d1f7b7a4a8cc3e5da21e14461d0ad089e8 100755 (executable)
--- a/run/tests
+++ b/run/tests
@@ -6,16 +6,22 @@
 private=../libdcp-test-private
 # Work directory
 work=build/test
-# Path to dcpinfo tool
+# Path to tools
 dcpinfo=build/tools/dcpinfo
+dcpverify=build/tools/dcpverify
 
-export LD_LIBRARY_PATH=build/src:/home/c.hetherington/lib:$LD_LIBRARY_PATH
+export LD_LIBRARY_PATH=build/src:$LD_LIBRARY_PATH
+# SIP stops this being passed in from the caller's environment
+export DYLD_LIBRARY_PATH=/Users/ci/osx-environment/x86_64/lib
+export LIBDCP_RESOURCES=.
 
 # Make sure we have the required tools
-for c in xmlsec1 xmldiff xmllint; do
+for c in xmlsec1 xmllint; do
   hash $c 2>/dev/null || { echo >&2 "$c required but not found; aborting"; exit 1; }
 done
 
+echo "--- Unit tests"
+
 # Run the unit tests in test/
 if [ "$1" == "--debug" ]; then
     shift
@@ -27,22 +33,20 @@ elif [ "$1" == "--callgrind" ]; then
     shift
     valgrind --tool="callgrind" $work/tests $private $*
 else
-    # This gives a warning from newer boost versions but doing it
-    # as $work/tests $* -- $private fails on older boost versions.
-    $work/tests $private $*
+    $work/tests $* -- $private
     if [ "$?" != "0" ]; then
        echo "FAIL: unit tests"
         exit 1
     fi
 fi
 
-# Check a MXF written by the unit tests
-diff $work/baz/video1.mxf $work/baz/video2.mxf
-if [ "$?" != "0" ]; then
-    echo "FAIL: MXFs from recovery incorrect"
-    exit 1
+if [ "$*" != "" ]; then
+    echo "Skipping post-test checks as not all unit tests were run."
+    exit 0
 fi
 
+echo "--- Other tests"
+
 # Check the DCP written by dcp_test1
 diff -ur test/ref/DCP/dcp_test1 $work/DCP/dcp_test1
 if [ "$?" != "0" ]; then
@@ -99,6 +103,17 @@ for d in `find $private/metadata -mindepth 1 -maxdepth 1 -type d | sort -f -d`;
     fi
 done
 
+# Run dcpverify on all the DCPs in private/metadata
+for d in `find $private/metadata -mindepth 1 -maxdepth 1 -type d | sort -f -d`; do
+    if [ `basename $d` != ".git" ]; then
+        $dcpverify --ignore-missing-assets --ignore-bv21-smpte -q $d
+        if [ "$?" != "0" ]; then
+            echo "FAIL: dcpverify failed for $d"
+            exit 1
+        fi
+    fi
+done
+
 # Check info.log is what it should be
 diff -q $work/info.log $private/info.log
 if [ "$?" != "0" ]; then